/*
 * Copyright (c) 1997 by Procom Technology,Inc.
 *
 * This program can be redistributed or modified under the terms of the 
 * GNU General Public License as published by the Free Software Foundation.
 * This program is distributed without any warranty or implied warranty
 * of merchantability or fitness for a particular purpose.
 *
 * See the GNU General Public License for more details.
 *
 */
 
#ifndef _DECODE_H_
#define _DECODE_H_

#include <net/cm_types.h>
#include <net/cm_mm.h>
#include <net/cm_frame.h>
#include <net/cm_dll.h>
#include <net/llc_if.h>
#include <net/llc_sap.h>
#include <net/llc_conn.h>
#include <net/llc_main.h>
#include <net/llc_evnt.h>
#include <net/llc_c_ev.h>

void decode_frame_t(frame_t * f);
void decode_trframe_t(frame_t * f);

void decode_stat_event_if_t (stat_event_if_t * data, us8 type );
void decode_station_event_t (station_state_event_t * ev);

void decode_conn_event_if_t (conn_event_if_t * data, us8 type );
void decode_connect_event_t (conn_state_event_t * ev);

void decode_address_t(address_t addr);

void decode_prim_unit_data_t(prim_unit_data_t * ud);
void decode_prim_connect_t(prim_connect_t * conn);
void decode_prim_data_t(prim_data_t * data);
void decode_prim_disconnect_t(prim_disconnect_t * disc);
void decode_prim_reset_t(prim_reset_t * res);
void decode_prim_flow_control_t(prim_flow_control_t * fc);
void decode_prim_xid_t(prim_xid_t * xid);
void decode_prim_test_t(prim_test_t * test);

void decode_prim_data_u (prim_data_u * data, int primitive);
void decode_prim_if_block_t (prim_if_block_t * p);

#endif
